{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-78.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-Digest-SHA-6.04-511.fc41",
        "store-results-to": "/tmp/tmpq2ui5s65/perl-Digest-SHA-6.04-511.fc41.tar.xz",
        "time-created": "2024-07-03 16:44:32",
        "time-finished": "2024-07-03 16:45:25",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpq2ui5s65/perl-Digest-SHA-6.04-511.fc41.tar.xz' '--gcc-analyze' '/tmp/tmpq2ui5s65/perl-Digest-SHA-6.04-511.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Digest-SHA-6.04-build/Digest-SHA-6.04/SHA.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "91243808856d8d70fdc8510283a8792fb3e2f510",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Digest-SHA-6.04-build/Digest-SHA-6.04/src/sha.c",
                    "line": 127,
                    "event": "error[uninitvar]",
                    "message": "Uninitialized variable: *wp",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  125|   \tM15(Ch, K1,  *wp++); M11(Ch, K1,  *wp++); M12(Ch, K1,  *wp++);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126|   \tM13(Ch, K1,  *wp++); M14(Ch, K1,  *wp++); M15(Ch, K1,  *wp++);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  127|-> \tM11(Ch, K1,  *wp  ); M12(Ch, K1, A1( 0)); M13(Ch, K1, A1( 1));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  128|   \tM14(Ch, K1, A1( 2)); M15(Ch, K1, A1( 3)); M11(Pa, K2, A1( 4));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  129|   \tM12(Pa, K2, A1( 5)); M13(Pa, K2, A1( 6)); M14(Pa, K2, A1( 7));",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "1075476e11446a7264581c3b8ed318c5dd26a60f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Digest-SHA-6.04-build/Digest-SHA-6.04/src/sha.c",
                    "line": 197,
                    "event": "error[uninitvar]",
                    "message": "Uninitialized variable: *wp",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  195|   \tM25( *wp++); M26( *wp++); M27( *wp++); M28( *wp++);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  196|   \tM21( *wp++); M22( *wp++); M23( *wp++); M24( *wp++);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  197|-> \tM25( *wp++); M26( *wp++); M27( *wp++); M28( *wp  );",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  198|   \tM21(A2( 0)); M22(A2( 1)); M23(A2( 2)); M24(A2( 3));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  199|   \tM25(A2( 4)); M26(A2( 5)); M27(A2( 6)); M28(A2( 7));",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
